# Kite - Detailed Router

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - s -

- SegmentAction() : SegmentAction
- SegmentFsm() : SegmentFsm
- Self : SegmentFsm , SegmentAction
- SelfInsert : SegmentAction
- SelfInserted : SegmentFsm
- SelfMaximumSlack : SegmentFsm
- SelfRipup : SegmentAction
- SelfRipupPerpand : SegmentAction
- SelfRipupPerpandWithAxisHint : SegmentAction
- setAxis() : TrackElement , TrackSegment
- setAxisHint() : SegmentAction
- setAxisHintFromParent() : RoutingEvent
- setDoglegLevel() : TrackSegment , TrackElement
- setEventLevel() : RoutingEvent
- setFlag() : SegmentAction
- setFlags() : TrackElement
- setGCells() : NegociateWindow
- setIndex() : TrackElement
- setInterrupt() : NegociateWindow
- setMode() : RoutingEvent
- setOverlapCostCB() : TrackElement
- setRipupCount() : DataNegociate
- setRoutingEvent() : DataNegociate
- setSegment() : Track , RoutingEvent
- setStage() : RoutingEvent , NegociateWindow
- setState() : SegmentFsm , RoutingEvent , DataNegociate
- setTrack() : TrackMarker , TrackSegment , TrackElement
- shrinkToTrack() : Manipulator
- size() : RoutingEventHistory , RoutingEventQueue
- Slacken : DataNegociate
- slacken() : Manipulator
- slackenTopology() : SegmentFsm
- SlackState : DataNegociate
- solveFullBlockages() : SegmentFsm
- Stage : NegociateWindow
- State : SegmentFsm
- staticGetName() : KiteEngine
- swapTrack() : TrackSegment , TrackElement